%define tarversion   2_8_0

%define major        28

%define libname      %mklibname xerces-c %major
%define libdev       %mklibname xerces-c %major -d

%define enable_debug 0
%{?_enable_debug: %{expand: %%global enable_debug 1}}

Name:           xerces-c%major
Epoch:          1
Version:        2.8.0
Release:        %mkrel 19
Summary:        Xerces-C++ validating XML parser
Group:          System/Libraries
URL:            http://xml.apache.org/xerces-c/
License:        Apache
Source0:        http://www.fayea.com/apache-mirror//xerces/c/2/sources/xerces-c-src_%{tarversion}.tar.gz
Patch0:         xerces-c-lib64.patch
# Most of apps
Patch1:         xerces-c-pvtheader.patch
# XQilla patches
Patch2:         xercesc_content_type.patch
Patch3:         xercesc_regex.patch
Patch4:         xerces-c-2.8.x-CVE-2009-1885.diff
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(icu-i18n)

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.


#----------------------------------------------------------------------

%package -n     %libname
Summary:        Xerces-c library
Group:          System/Libraries

%description -n %libname
xerces-c library

%files -n %libname
%doc LICENSE.txt
%_libdir/libxerces-*.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %libdev
Summary:        Header files for Xerces-C++ validating XML parser
Group:          Development/C
Requires:       %libname = %epoch:%version-%release
Provides:       xerces-c%major-devel = %epoch:%version-%release
Conflicts:      %{mklibname xerces-c 0 -d}
Conflicts:      %{mklibname xerces-c 3.0 -d}

%description -n %libdev
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%files -n %libdev
%_libdir/libxerces-c.so
%_libdir/libxerces-depdom.so
%_includedir/xercesc

#----------------------------------------------------------------------

%prep
%setup -q -n xerces-c-src_%{tarversion}
%if "%{_lib}" != "lib"
%patch0 -p1 -b .orig
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0 -b .CVE-2009-1885

# fix build on aarch64
for d in $(find . -name "config.sub");do
 cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} $(dirname $d)
done

%build
%set_build_flags
export XERCESCROOT=%_builddir/xerces-c-src_%{tarversion}

cd $XERCESCROOT/src/xercesc
./runConfigure \
	-plinux \
	-cgcc \
	-xg++ \
	-minmem \
	-nsocket \
	-tnative \
	-rpthreads \
%if %{enable_debug}
	-d \
%endif
%if "%{_lib}" != "lib"
	-b "64" \
%else
	-b "32" \
%endif
	-P %_prefix \
	-C --libdir=%_libdir

%__make

%install
export XERCESCROOT=%_builddir/xerces-c-src_%{tarversion}

%make_install -C $XERCESCROOT/src/xercesc


%changelog
* Wed Jun 10 2020 daviddavid <daviddavid> 1:2.8.0-19.mga8
+ Revision: 1592047
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Fri Feb 14 2020 umeabot <umeabot> 1:2.8.0-17.mga8
+ Revision: 1518637
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1:2.8.0-16.mga7
+ Revision: 1301846
- Mageia 7 Mass Rebuild

* Wed Jul 11 2018 wally <wally> 1:2.8.0-15.mga7
+ Revision: 1243114
- fix build on aarch64

* Sat Sep 02 2017 daviddavid <daviddavid> 1:2.8.0-14.mga7
+ Revision: 1150906
- use ours compile flags thus fixing empty debugsourcefiles.list

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1:2.8.0-13.mga6
+ Revision: 1092815
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 1:2.8.0-12.mga6
+ Revision: 1015250
- Rebuild for the new UCI (new major)

* Sat Feb 06 2016 umeabot <umeabot> 1:2.8.0-11.mga6
+ Revision: 940178
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.8.0-10.mga5
+ Revision: 749200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.8.0-9.mga5
+ Revision: 690592
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:2.8.0-8.mga4
+ Revision: 520505
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:2.8.0-7.mga3
+ Revision: 386757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 1:2.8.0-6.mga3
+ Revision: 304991
- cleanup spec

* Wed Apr 06 2011 tv <tv> 1:2.8.0-5.mga1
+ Revision: 81088
- cleanup
- imported package xerces-c28


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1:2.8.0-5mdv2011.0
+ Revision: 615542
- the mass rebuild of 2010.1 packages

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.8.0-4mdv2010.1
+ Revision: 422640
- renamed to xerces-c28
- fix deps
- "fork" this one to prepare for 3.0.1

* Sun Aug 30 2009 Oden Eriksson <oeriksson@mandriva.com> 1:2.8.0-3mdv2010.0
+ Revision: 422544
- P4: security fix for CVE-2009-1885

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:2.8.0-2mdv2009.0
+ Revision: 266081
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Helio Chissini de Castro <helio@mandriva.com> 1:2.8.0-1mdv2009.0
+ Revision: 197274
- Disable nrproc compilation
- Added debug compiling check turned off by default
- Added xqilla content patches ( needed for xqilla 2.2 )
- New upstream version
- Compile with pthreads
- Fixed devel package name
- fixed proper soname

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 29 2007 Thierry Vignaud <tv@mandriva.org> 1:2.7.0-7mdv2008.1
+ Revision: 113935
- fix invalid group

* Fri Nov 23 2007 Thierry Vignaud <tv@mandriva.org> 1:2.7.0-6mdv2008.1
+ Revision: 111613
- rebuild for new libicu

* Mon May 07 2007 Helio Chissini de Castro <helio@mandriva.com> 1:2.7.0-5mdv2008.0
+ Revision: 24815
- Obsoletes xerces-c packages with samples binaries. This is not necessary
- Fixed 64 build
- Get rid of nls, use ICU


* Tue Sep 19 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-19 14:46:32 (62357)
- Most of packages like pathan or xquery depends on private headers. If we want avoid include an internal copy of xerces-c in every package, we need install base impl headers. This will enable, along with a post 4.2 db, the construction of dbxml and reduce size of many applications with code embedded

* Wed Aug 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-08-23 20:57:52 (57755)
- fix group

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-16 15:23:43 (56359)
- Fixed x86_64 issues

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 13:18:46 (56183)
- Raise epoch to make proper devel to be installed. Last sonam was wrong named 26, since 26 is major, and minor is 0

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 06:18:36 (56161)
- No distributed compilation

* Tue Aug 15 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-15 06:10:46 (56155)
- import xerces-c-2.7.0-1mdv2007.0

* Mon Dec 13 2004 Warly <warly@mandrakesoft.com> 2.6.0-2mdk
- rebuild without libxerces25 dependencies

* Wed Aug 18 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040818.1mdk
- update to latest CVS version

* Fri Jul 23 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040723.1mdk
- go to version 20040723104641 for bug 10387

* Tue Jul 20 2004 Warly <warly@mandrakesoft.com> 2.5.0-0.20040720.1mdk
- new version (based on CVS version)

